<!DOCTYPE html>
<html>
<head>
    <meta name="robots" content="noindex,nofollow">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <style>
        body {
            margin: 0;
        }

        .jwplayer {
            position: absolute !important;
        }

        .jwplayer.jw-flag-aspect-mode {
            min-height: 100%;
            max-height: 100%;
        }

        .jw-logo-container {
            position: absolute;
            top: 2%;
            right: 55%;
        }
        
    </style>
</head>

<body>
<script src="https://content.jwplatform.com/libraries/IDzF9Zmk.js"></script>
<script disable-devtool-auto src='https://cdn.jsdelivr.net/npm/disable-devtool/disable-devtool.min.js'></script>

<div id="jwplayerDiv" class="jwplayer" style="width:100%;height:100%;"></div>
<script type="text/javascript" defer>
    const z = 'your_secure_token';

    fetch(`/player/cokk.json?z=${z}`)
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok');
            }
            return response.json();
        })
        .then(data => {
            const urlParams = new URLSearchParams(window.location.search);
            const channelId = urlParams.get('id');

            if (data.hasOwnProperty(channelId)) {
                const channelData = data[channelId].drm_info;
                const drmK1 = channelData.k1;
                const drmK2 = channelData.k2;
                const url = channelData.url;

                jwplayer("jwplayerDiv").setup({
                    autostart: true,
                    volume: 100,
                    mute: false,
                    pipIcon: "disabled",
                    title: "DGTVBRO",
                    image: "https://pripri7.github.io/img/live/backgroundplay.png",
                    logo: {
                        file: "https://pripri7.github.io/img/live/dglogo.png",
                        hide: false,
                        position: "bottom-right"
                    },
                   
                    file: url,
                    drm: {
                        clearkey: {
                            keyId: drmK1,
                            key: drmK2
                        }
                    }
                });
            } else {
                document.body.innerHTML = "<h2 class='access-denied'>Channel not found</h2>";
            }
        })
        .catch(error => {
            console.error('Error fetching JSON:', error);
            document.body.innerHTML = "<h2 class='access-denied'>Error fetching channel data</h2>";
        });
</script>

</body>
</html>